"""Added custom templates

Revision ID: 43bab6d0af5b
Revises: bbeb9365b195
Create Date: 2020-07-04 16:26:02.973884

"""
import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision = "43bab6d0af5b"
down_revision = "bbeb9365b195"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "templates",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("user_id", sa.Integer(), nullable=True),
        sa.Column("name", sa.String(length=100000), nullable=True, unique=True),
        sa.Column("text", sa.Text(), nullable=True),
        sa.ForeignKeyConstraint(["user_id"], ["users.id"], ondelete="SET NULL"),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_templates_id"), "templates", ["id"], unique=False)
    op.create_index(op.f("ix_templates_name"), "templates", ["name"], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_templates_name"), table_name="templates")
    op.drop_index(op.f("ix_templates_id"), table_name="templates")
    op.drop_table("templates")
    # ### end Alembic commands ###
